Stop `download.sh` from silently failing\n\nAlso fix issue where  is interpreted as a command
diff --git a/scripts/download.sh b/scripts/download.sh
index 574c1f2..a490c9b 100755
--- a/scripts/download.sh
+++ b/scripts/download.sh
@@ -24,7 +24,9 @@
 # the form on github where the filename is spelled out as ".tar.gz" and
 # not ".tgz")
 
-if ${1: -3} == ".gz"; then
+set -e
+
+if [ "${1: -3}" == ".gz"; ] then
 
     # Neither curl or wget are guaranteed to be included in all *nix systems,
     # (but most have *one* of them). This tools tries its best to find one.